{ inputs }:
inputs.nixpkgs.lib.nixosSystem {
  system = "x86_64-linux";
  modules = [
    inputs.disko.nixosModules.disko
    ./disk_conf.nix

    # inputs.facter.nixosModules.facter
    # { config.facter.reportPath = ./facter.json; }

    ./setup/mini_conf.nix

    # zfs stuff
    {
      # use `head -c4 /dev/urandom | od -A none -t x4` or see nixos options docs for more info
      # https://search.nixos.org/options?channel=24.11&show=networking.hostId&from=0&size=50&sort=relevance&type=packages&query=hostid
      networking.hostId = "0a7337de";

      # dunno, maybe not needed but sounds nice
      boot.loader.grub.zfsSupport = true;
    }
  ];
}
